DKBSignDocs

API reference

GETRequires Bearer token

Get contacts ldap-connections

/api/contacts/ldap-connections/{connection_id}

Retrieve /api/contacts/ldap-connections/{connection_id}. Authenticated routes need Authorization: Bearer {token} from POST /api/v1/login.

Path parameters

FieldTypeDescription
connection_id
Required
stringPath parameter connection_id.

Query parameters

This endpoint has no query parameters.

Request body

This endpoint does not accept a request body.

Responses

StatusMeaning
200Connection
401Missing or invalid Bearer token.

Request

curl
curl -X GET 'https://api.dkbsigns.com/api/contacts/ldap-connections/uuid_or_id' \
  -H 'Authorization: Bearer $DKBSIGN_TOKEN'

Response 200

json
{
  "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "name": "Corporate AD",
  "has_bind_password": true
}